Cyberduck Mountain Duck CLI

#7550 closed defect (fixed)

Synchronize folder (S3) silently fails

Reported by: elgrafico Owned by: yla
Priority: normal Milestone: 4.4.1
Component: core Version: 4.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

v4.4, build 13577 Context: established S3 connection, bucket with "folders" opened.

In 4.3.1, when I right-clicked on a folder to synchronize it with a local folder, the behaviour was pretty much like it is currently described here: https://trac.cyberduck.ch/wiki/help/en/howto/sync

Now, having v4.4 installed, I don't see a diff list but am just asked wether I want to (german version) "Überschreiben" (overwrite), "Umbenennen" (rename) or "Fortsetzen" (continue/proceed). I tried them all but none of these options actually synchronizes my S3::bucket/"folder" with my local folder. Please see the attached screenshots.

No error is thrown, the task just finishes suprisingly quick and states "Sync complete" in the transfer view. No entry in the log drawer.

Attachments (4)

cyberduck_synchronize_01.jpg (31.6 KB) - added by elgrafico on Nov 5, 2013 at 10:25:13 AM.
context menu, right click on remote folder
cyberduck_synchronize_02.jpg (31.9 KB) - added by elgrafico on Nov 5, 2013 at 10:26:10 AM.
synchronize dialogue with options
cyberduck_synchronize_03.jpg (50.6 KB) - added by elgrafico on Nov 5, 2013 at 6:33:18 PM.
improved dropdown in r13796
cyberduck_synchronize_04.jpg (47.7 KB) - added by elgrafico on Nov 5, 2013 at 6:34:23 PM.
r13796: no expanding, no sync

Download all attachments as: .zip

Change History (13)

Changed on Nov 5, 2013 at 10:25:13 AM by elgrafico

context menu, right click on remote folder

Changed on Nov 5, 2013 at 10:26:10 AM by elgrafico

synchronize dialogue with options

comment:1 Changed on Nov 5, 2013 at 11:32:50 AM by dkocher

  • Milestone set to 4.4.1

comment:2 Changed on Nov 5, 2013 at 11:33:12 AM by dkocher

  • Owner set to yla

comment:3 Changed on Nov 5, 2013 at 4:54:20 PM by yla

Can you please test with the latest snapshot build available?

comment:4 Changed on Nov 5, 2013 at 5:05:36 PM by elgrafico

Sure. Just tested with 4.4.1 (13766) - no change in GUI elements nor in the effect. There are new files in the S3::bucket folder that do not exist in my local folder; after a sync with "Fortsetzen" (which seems like a strange option in that particular place to me, anyway), the new remote files haven't been downloaded.

How can I provide you you with more details / logfiles etc? Thanks!

comment:6 Changed on Nov 5, 2013 at 6:12:13 PM by yla

Just uploaded a new snapshot build. Can you please test again?

Changed on Nov 5, 2013 at 6:33:18 PM by elgrafico

improved dropdown in r13796

Changed on Nov 5, 2013 at 6:34:23 PM by elgrafico

r13796: no expanding, no sync

comment:7 Changed on Nov 5, 2013 at 6:40:27 PM by elgrafico

tested with r13796

  • dropdown of the synchronize dialogue now show expected values (see https://trac.cyberduck.ch/attachment/ticket/7550/cyberduck_synchronize_03.jpg)
  • folder view of the synchronize dialogue cannot expand, the arrow at the right signal upload while I'm trying to make a download sync
  • after hitting "Fortfahren" with "Download" selected, remote and local folder are still out of sync (very quick "Sync complete" in the transfer view)

comment:8 Changed on Nov 7, 2013 at 3:47:45 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r13885. A new snapshot build is available.

comment:9 Changed on Nov 7, 2013 at 4:44:12 PM by elgrafico

sorry - still not working.

I tried synchronizing a S3::bucket containing only 5 files, and a "folder" in a S3::bucket containing >25000 files.
With the 5-files-bucket at least the dialogue happens to be responsive, the large remote folder just timed out (note: it worked with 4.3.1) Neither "Download" nor "Spiegeln" did result in the remote files beeing synced to a local (empty) folder.

This is what the log says:

GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Thu, 07 Nov 2013 16:19:24 GMT
Authorization: AWS {{my-AWS-key}}
Host: {{my-bucket}}.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.1 (13885) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: {{some-hash}}
x-amz-request-id: {{some-hash}}
Date: Thu, 07 Nov 2013 16:19:23 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Thu, 07 Nov 2013 16:19:24 GMT
Authorization: AWS {{my-AWS-key}}
Host: {{my-bucket}}.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.1 (13885) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: {{some-hash}}
x-amz-request-id: {{some-hash}}
Date: Thu, 07 Nov 2013 16:19:23 GMT
Transfer-Encoding: chunked
Server: AmazonS3

I also tried a new installation on a different system, same effect here. Should be easy to reproduce: Generate a S3::bucket, put some files in, try to sync that bucket (or a folder in that bucket) to a local folder.

Note: See TracTickets for help on using tickets.
swiss made software